/* tslint:disable */
/* eslint-disable */
/* prettier-ignore */
// This document is generated by rokot-apicontroller-client-generator. DO NOT edit directly.

export interface HeaderMap {
    [k: string]: string;
}

export interface IFetcher {
    request<T>(url: string, verb: string, contentType: string, body?: any, headers?: HeaderMap): Promise<T>;
    buildQueryString(query?: any): string;
    requestValidate?(routeUniqueName: string, paramValues: {
        body?: any;
        params?: any;
        query?: any;
    }): Promise<void>;
}

export class BaseProfile_number_string {
    profile: string;
    date: number;
}

export class Profile_string extends BaseProfile_number_string {
}

export interface IBaseParams_number_string {
    propertyOne: string;
    propertyTwo: number[];
}

export interface IParams_string extends IBaseParams_number_string {
}

export class TestController {
    constructor(private fetcher: IFetcher) { }
    getAll = (params: IParams_string, headers?: HeaderMap): Promise<Profile_string> => {
        return this.fetcher.request<Profile_string>(`test/all`, "get", "application/json", undefined, headers);
    };
}

export class ApiClient {
    constructor(private fetcher: IFetcher) { }
    test = new TestController(this.fetcher);
}